package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.MemberGroupRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberGroupRelationMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(MemberGroupRelation record);

    int insertOrUpdate(MemberGroupRelation record);

    int insertOrUpdateSelective(MemberGroupRelation record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(MemberGroupRelation record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    MemberGroupRelation selectByPrimaryKey(Integer id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(MemberGroupRelation record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(MemberGroupRelation record);

    int updateBatch(List<MemberGroupRelation> list);

    int updateBatchSelective(List<MemberGroupRelation> list);

    int batchInsert(@Param("list") List<MemberGroupRelation> list);

    int deleteRelationByGroupCodeAndMemberId(@Param("groupCode") String groupCode, @Param("memberId") String memberId);
}